> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get delegator rewards metrics

> This endpoint returns the historical rewards earned by a single delegator.

Using this endpoint, you can query the historical daily rewards of a delegator by their unique `delegator_address` across validators they have delegated to.

`delegatorRewards` are the Babylon rewards, denominated in the network's native token, which delegators are entitled to receive from the validator they have staked to. The validator they have staked to is given by the `validator` address field.

You can use the `fromDate` and `toDate` parameters to query a range of days.


## OpenAPI

````yaml get /v1/babylon/delegators/{delegator_address}/rewards
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/babylon/delegators/{delegator_address}/rewards:
    get:
      tags:
        - Babylon Rewards
      summary: Get delegator rewards metrics
      description: >-
        This endpoint returns the historical rewards earned by a single
        delegator.
      operationId: >-
        get_delegator_rewards_v1_babylon_delegators__delegator_address__rewards_get
      parameters:
        - name: delegator_address
          in: path
          required: true
          schema:
            type: string
            title: Delegator Address
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: fromDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date
            examples:
              - '2023-01-01'
            title: Fromdate
          description: Start date
        - name: toDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date
            examples:
              - '2023-12-31'
            title: Todate
          description: End date
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__82
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__82:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            properties:
              day:
                type: string
                format: date
                title: Day
              fromBlockNumber:
                type: integer
                title: Fromblocknumber
              toBlockNumber:
                type: integer
                title: Toblocknumber
              delegator:
                type: string
                title: Delegator
              validator:
                type: string
                title: Validator
              delegatorRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Delegatorrewards
            type: object
            required:
              - day
              - fromBlockNumber
              - toBlockNumber
              - delegator
              - validator
              - delegatorRewards
            title: BabylonDelegatorRewards
            examples:
              - day: '2025-01-21'
                delegator: bbn1g6tgaz3pmk03gvgndh8rwrv5yktrjhvvvyaplq
                delegatorRewards: 4523.5223
                fromBlockNumber: 100001
                toBlockNumber: 107701
                validator: bbnvaloper109x4ruspxarwt62puwcenhclw36l9v7j92f0ex
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1DetailBabylonDelegatorRewards
      examples:
        - next: >-
            https://api.rated.network//v1/babylon/delegators/{delegator_address}/rewards?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/babylon/delegators/{delegator_address}/rewards?limit=10&offset=10
          results:
            - - day: '2025-01-21'
                delegator: bbn1g6tgaz3pmk03gvgndh8rwrv5yktrjhvvvyaplq
                delegatorRewards: 4523.5223
                fromBlockNumber: 100001
                toBlockNumber: 107701
                validator: bbnvaloper109x4ruspxarwt62puwcenhclw36l9v7j92f0ex
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````